package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicAuthorizationState {
    public static final String AUTHORIZE_WAIT = "待授权";
    public static final String AUTHORIZE_OK = "授权成功";
    public static final String AUTHORIZE_NO = "不予授权";


    private static DicAuthorizationState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAuthorizationState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(AUTHORIZE_WAIT, AUTHORIZE_WAIT);
        dicMap.put(AUTHORIZE_OK, AUTHORIZE_OK);
        dicMap.put(AUTHORIZE_NO, AUTHORIZE_NO);
    }

    public static DicAuthorizationState getInstacne(){
        if (instance == null)
        {
            instance = new DicAuthorizationState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}

